## dronevoicecontrol.py
from aiy.board import Board,Led
import speech_recognition as sr
from tello_python import tello

import math
import time
import time
r = sr.Recognizer()
drone = tello.Tello()

def main():
    print('LED is ON while button is pressed (Ctrl-C for exit).')
    with Board() as board:
        while True:
            board.button.wait_for_press()
            with sr.Microphone() as source:
                r.adjust_for_ambient_noise(source)
                print("Say something!")
                audio = r.listen(source)
                command=str(r.recognize_google(audio))
                print("Google Speech Recognition thinks you said " + command)
                if (command=="Take off"):
                    print("taking off drone")
                    drone.takeoff()

                if (command=="move forward"):
                      print("landing drone")
                      drone.forward(100)

                
                if (command=="move backward"):
                      print("landing drone")
                      drone.backward(30)

                
                if(command== "Move right"):
                      print("Moving drone right")
                      drone.right(70)

                if(command== "move left"):
                      print("Moving drone left")
                      drone.forward(70)

                if(command== "move up"):
                      print("moving drone up")
                      drone.forward(100)
 
if __name__ == '__main__':
    main()
